
From: NeilBrown <neilb@cse.unsw.edu.au>

From: Stephen Hemminger <shemminger@osdl.org>
Date: Fri, 12 Sep 2003 11:31:06 -0700

NFS won't build w/o CONFIG_PROC_FS.  Looks like typo's (or a C++
programmer) in stats.h



---

 include/linux/sunrpc/stats.h |    7 ++++---
 1 files changed, 4 insertions(+), 3 deletions(-)

diff -puN include/linux/sunrpc/stats.h~nfsd-05-no-procfs-build-fix include/linux/sunrpc/stats.h
--- 25/include/linux/sunrpc/stats.h~nfsd-05-no-procfs-build-fix	2004-02-09 09:26:44.000000000 -0800
+++ 25-akpm/include/linux/sunrpc/stats.h	2004-02-09 09:26:44.000000000 -0800
@@ -64,11 +64,12 @@ static inline struct proc_dir_entry *rpc
 static inline void rpc_proc_unregister(const char *p) {}
 static inline void rpc_proc_zero(struct rpc_program *p) {}
 
-static inline struct proc_dir_entry *svc_proc_register(struct svc_stat *s
-						       struct file_operations *) { return NULL; }
+static inline struct proc_dir_entry *svc_proc_register(struct svc_stat *s,
+						       struct file_operations *f) { return NULL; }
 static inline void svc_proc_unregister(const char *p) {}
 
-static inline void svc_seq_show(struct seq_file *, const struct svc_stat *) {}
+static inline void svc_seq_show(struct seq_file *seq,
+				const struct svc_stat *st) {}
 
 #define proc_net_rpc NULL
 

_
